#include "testlib.h"
#include <bits/stdc++.h>

#define F first
#define S second
#define prev azaza
#define MP make_pair
#define PB push_back

using namespace std;
typedef long long ll;
typedef long double ld;

const ll e18 = 1000000000LL * 1000000000LL;

ll rides_cnt_part = 0;
ll rides_cnt_jury = 0;
ll stars_sum_part = 0;
ll stars_sum_jury = 0;

int main(int argc, char* argv[]) {
    registerTestlibCmd(argc, argv);

    rides_cnt_part = ouf.readLong(1, e18 + 1, "rides count");
    rides_cnt_jury = ans.readLong(1, e18 + 1, "rides count");
    //ouf.readEoln();
    //ans.readEoln();

    ll ratings_cnt_part = 0;
    for (int i = 0; i < 5; ++i) {
        ll curr_ratings_cnt_part = ouf.readLong(0, e18 + 1, "ratings count");
        ll curr_ratings_cnt_jury = ans.readLong(0, e18 + 1, "ratings count");
        //ouf.readSpace();
        //ans.readSpace();

        stars_sum_part += curr_ratings_cnt_part * (i + 1);
        stars_sum_jury += curr_ratings_cnt_jury * (i + 1);

        ratings_cnt_part += curr_ratings_cnt_part;
    }
    //ouf.readEof();
    //ans.readEof();

    if (rides_cnt_part != ratings_cnt_part) {
        quitf(_wa, "The number of rides should be equal to the number of ratings.");
    }

    if (rides_cnt_part != rides_cnt_jury) {
        quitf(_wa, "The number of rides is wrong: expected = %I64d, found = %I64d", rides_cnt_jury, rides_cnt_part);
    }

    if (stars_sum_part != stars_sum_jury) {
        quitf(_wa, "Ratings distribution doesn't lead to a given rating.");
    }

    quitf(_ok, "The answer is correct.");

    return 0;
}
